package agentk

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/agent2kas_tunnel/agent"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentk"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/pkg/agentcfg"
)

type Factory struct {
	agent.Factory
}

func (f *Factory) New(config *modagentk.Config) (modagentk.Module, error) {
	return &agent.Module[*agentcfg.AgentConfiguration]{
		ConnManager: f.GetConnectionManager(config.Log, config.KASConn, config.APIServer),
	}, nil
}
